# Function sign

- sign(
  event: HashedEvent ,
  secret: string,
  ): {
  content: string;
  created_at: number;
  id: string;
  kind: number;
  pubkey: string;
  sig: string;
  tags: string[][];
  }

- #### Parameters

  - event: HashedEvent
  - secret: string

  #### Returns {
  content: string;
  created_at: number;
  id: string;
  kind: number;
  pubkey: string;
  sig: string;
  tags: string[][];
  }

  - Defined in packages/signer/src/util.ts:22